Installer - Bug #32700

Additional RPMs in /pub directory break latest symlink
06/03/2021 12:31 AM - Eric Helms

Status: Closed
Priority: Normal
Assignee: Eric Helms
Category: Foreman modules
Target version: 251
Difficulty: Fixed in Releases: 2.5.1,3.0.0
Triaged: Yes Found in Releases: 2.3.0
Bugzilla link: 1962961 Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman_proxy_content/pull/365

Description
Steps to Reproduce:

1. Keep any rpm package in /var/www/html/pub/
2. Run upgrade: satellite-maintain upgrade run --target-version 6.9

Actual results:
2021-05-21 01:41:33 [ERROR ] [configure] /Stage[main]/Foreman_proxy_content::Bootstrap_rpm/Bootstr
ap_rpm[katello-ca-consumer-satellite.example.com]: Could not evaluate: No such file or directory @

rb_sysopen - /var/www/html/pub/sos-3.9-5.el7_9.4.src.rpm

Expected results:
The installer should not query or check rpms apart from katello-ca-consumer®, if there are any rpm pkg available in /pub

Additional info:
To test | copied the below packages in /pub, change one of the pkg ownership for testing purposes.
# 1s -1 /var/www/html/pub/

-rw—-r—--r——. 1 apache apache 460200 May 21 00:24 firewalld-0.6.3-13.el7_9.noarch.rpm
-rw—-r—--r—-—. 1 root root 554188 May 21 00:24 s0s-3.9-5.el7_9.4.noarch.rpm

Associated revisions

Revision 17ec2313 - 06/03/2021 08:57 AM - Eric Helms
Fixes #32700: Only capture bootstrap RPMs by name

History

#1 - 06/03/2021 12:39 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/365 added

#2 - 06/03/2021 08:57 AM - The Foreman Bot
- Fixed in Releases 3.0.0 added

#3 - 06/03/2021 08:59 AM - Ewoud Kohl van Wijngaarden

- Subject changed from Steps to Reproduce:*
to Additional RPMs in /pub directory break latest symlink

- Description updated
- Category set to Foreman modules

- Triaged changed from No to Yes
#4 - 06/03/2021 09:02 AM - Eric Helms
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy_content|17ec23132d0917da267610c524cd9d21668fdaf8.

#5 - 06/08/2021 12:34 PM - Ewoud Kohl van Wijngaarden

- Target version set to 2.5.1

#6 - 06/16/2021 08:14 AM - Ewoud Kohl van Wijngaarden
- Found in Releases 2.3.0 added

#7 - 06/21/2021 01:16 PM - Ewoud Kohl van Wijngaarden
- Fixed in Releases 2.5.1 added
